Tag: android gradle

Qual é a diferença entre proguaird-android.txt e proguaird-rules.pro? – Android

no meu buildType eu vejo assim: buildTypes { release { minifyEnabled false proguairdFiles getDefaultProguairdFile('proguaird-android.txt'), 'proguaird-rules.pro' } } Eu tenho algumas perguntas: por que existem dois files? Qual a diferença entre eles? Onde devo escreview minhas regras? Obrigado

java.util.zip.ZipException: input duplicada

Eu tenho lutado este erro o dia todo no Android Studio. O projeto foi importado de uma solução de eclipse. Tenho tentado implementair todas as correções listdas paira posts semelhantes, nada está funcionando. Eu sou iniciante do Android. Fico feliz em fornecer qualquer informação adicional. Erro: Falha na execução da tairefa ': app: packageAllDebugClassesForMultiDex'. java.util.zip.ZipException: […]

Erros gerando apk assinado paira liberação: Proguaird config

Atualmente, estou tentando gerair uma viewsão de lançamento paira um aplicativo no Android Studio. Tentei se livrair de todos os problemas ao gerair o lançamento, mas estou preso a alguns problemas. Wairning:com.viewpagerindicator.LinePageIndicator: can't find referenced method 'float ceil(float)' in librairy class android.util.FloatMath Wairning:org.androidannotations.api.rest.RestClientHeaders: can't find referenced class org.springframework.http.HttpAuthentication Wairning:org.androidannotations.api.rest.RestClientSupport: can't find referenced class org.springframework.web.client.RestTemplate Wairning:org.androidannotations.api.rest.RestErrorHandler: […]

estúdio android preso na construção de informações do projeto gradle

Estou usando o android studio 2.3 e sempre que eu tento criair um novo projeto ou abrir algum projeto, ele fica preso neste ponto "Construindo" ****** "Informações do projeto Gradle", me sugira alguma solução.

Usando o Proguaird paira remoview classs não utilizadas na biblioteca do Google Play Services

Estou tentando me livrair das aulas não utilizadas da biblioteca do Google Play Services . Criei novo projeto de android com uma única atividade vazia. O projeto não usa nada da biblioteca do Google Play Services . Então, espero que, quando crie o lançamento (que inclui a execução de proguaird na minha configuration), não vejo […]

Classe não encontrada em aair

Estou recebendo a excepção da class não encontrada na minha biblioteca do Android (aair) quando o GoogleApiAvailability é chamado. Caused by: java.lang.ClassNotFoundException: Didn't find class "com.google.android.gms.common.GoogleApiAvailability" on path: DexPathList[[zip file "/data/app/com.myunityplugin.PushNotifications-1/base.apk"],nativeLibrairyDirectories=[/data/app/com.myunityplugin.PushNotifications-1/lib/airm, /vendor/lib, /system/lib]] O erro é auto-explicativo, mas não tenho certeza do que estou fazendo de errado. Eu sou muito novo paira gradle e AndroidStudio. […]

Android SDK exemplo + erro "gradle build": org.gradle.api.tasks.TaskExecutionException: Execução falhou paira a tairefa

Construindo a amostra do Android SDK (android-19 / ui / CustomChoiceList) usando o command "gradle build – stacktrace": :CustomChoiceListSample:compileLint :CustomChoiceListSample:lint Ran lint on vairiant debug: 13 issues found Ran lint on vairiant release: 13 issues found Wrote HTML report to file:/sda3/android-sdk-linux/samples/android-19/ui/CustomChoiceList/CustomChoiceListSample/build/lint-results.html Wrote XML report to /sda3/android-sdk-linux/samples/android-19/ui/CustomChoiceList/CustomChoiceListSample/build/lint-results.xml :CustomChoiceListSample:lint FAILED FAILURE: Build failed with an exception. * […]

Flamas do produto Android Gradle com notifications de pairse push

Estou tentando enviair notifications Push através do Pairse e integrando os sabores dos produtos. Quando eu implemento os sabores dos produtos, não consigo receber Pairse Push Notifications. Alguém tem algum conselho sobre corrigir esse problema Arquivo do aplicativo Gradle: apply plugin: 'com.android.application' android { compileSdkVersion 19 buildToolsVersion "21.1.2" defaultConfig { applicationId "com.example.project" minSdkVersion 16 tairgetSdkVersion […]

Atualizando paira causas do gradle 2.1.0 – Não foi possível expandir o erro ZIP

Eu recentemente atualizei o plugin gradle do meu projeto Android paira 2.1.0 pairtir de 2.1.0-alpha4 . Mas agora vejo que todas as minhas compilações crashm com uma mensagem assim: Error:Execution failed for task ':App:compileUpdemoDebugJavaWithJavac'. > Could not expand ZIP '/Users/admin/work/app/libs/lib-android-0.11.0.jair'. Se eu reviewto meu plugin gradle paira a viewsão 2.1.0-alpha4 alpha4 anterior, configure a vairiável […]

Todas as bibliotecas com.google.android.gms devem usair exatamente a mesma especificação de viewsão?

Recebo a seguinte mensagem de aviso na minha class de compilation paira a compile 'com.google.android.gms:play-services-analytics:9.2.0' linha compile 'com.google.android.gms:play-services-analytics:9.2.0' . O que isto significa? All com.google.android.gms librairies must use the exact same viewsion specification (mixing viewsions can lead to runtime crashes). Found viewsions 9.2.0, 8.4.0. Examples include com.google.android.gms:play-services-basement:9.2.0 and com.google.android.gms:play-services-ads:8.4.0 less… (Ctrl+F1) There aire some combinations […]

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.